import APIbuilder from '@zohodesk/js-api-creator';
export default ((modules, urlPrefix, parameters, headers, options) => {
  let builder = new APIbuilder(urlPrefix, parameters, headers, options);
  let output = {};
  let modulekeys = Object.keys(modules);

  for (let i = 0, len = modulekeys.length; i < len; i++) {
    let moduleKey = modulekeys[i];
    output[moduleKey] = builder.create(modules[moduleKey], moduleKey);
  }

  return output;
});
export const Builder = APIbuilder;