import { constants } from '@zohodesk/js-api-creator';
export default {
  "helpCenter.get": {
    url: "helpCenters/:helpCenterId",
    method: constants.get
  },
  "helpCenter.imageUpload": {
    url: "helpCenters/:helpCenterId/imageUpload",
    method: constants.post
  },
  'page': {
    url: "helpCenter/:helpCenterId/page/:pageId",
    method: constants.get
  },
  'page.update': {
    url: "helpCenter/:helpCenterId/page/:pageId",
    method: constants.patch
  },
  'pages': {
    url: 'helpCenter/:helpCenterId/pages',
    method: constants.get
  },
  'sitemaps': {
    url: 'helpCenters/:helpCenterId/sitemaps',
    method: constants.get
  },
  'sitemaps.download': {
    url: 'helpCenters/:helpCenterId/sitemaps/download',
    method: constants.get
  },
  'sitemaps.generate': {
    url: 'helpCenters/:helpCenterId/sitemaps',
    method: constants.post
  },
  'preferences.update': {
    url: 'helpCenter/:helpCenterId/preference',
    method: constants.patch
  },
  'preferences.get': {
    url: 'helpCenter/:helpCenterId/preference',
    method: constants.get
  },
  'themes.get': {
    url: 'themes',
    method: constants.get
  },
  'userAuthentication.get': {
    url: 'helpCenter/:helpCenterId/userAuthentications',
    method: constants.get
  },
  'userAuthentication.patch': {
    url: 'helpCenter/:helpCenterId/userAuthentications/:authType',
    method: constants.patch
  },
  'smsTemplates.get': {
    url: 'helpCenter/:helpCenterId/smsTemplates',
    method: constants.get
  },
  'smsTemplate.get': {
    url: 'helpCenter/:helpCenterId/smsTemplates/:smsTemplateId',
    method: constants.get
  },
  'smsTemplate.update': {
    url: 'helpCenter/:helpCenterId/smsTemplates/:smsTemplateId',
    method: constants.patch
  },
  'smsTemplates.associate': {
    url: 'helpCenter/:helpCenterId/smsTemplates/associate',
    method: constants.post
  },
  'jwt.get': {
    url: 'helpCenters/:helpCenterId/jwt',
    method: constants.get
  },
  'jwt.update': {
    url: 'helpCenters/:helpCenterId/jwt',
    method: constants.patch
  },
  'jwt.create': {
    url: 'helpCenters/:helpCenterId/jwt',
    method: constants.post
  },
  'jwt.delete': {
    url: 'helpCenters/:helpCenterId/jwt',
    method: constants.deleteIt
  },
  'jwtSecret.get': {
    url: 'helpCenters/:helpCenterId/jwt/secret',
    method: constants.get
  },
  'federatedLoginProviders.get': {
    url: 'helpCenters/:helpCenterId/federatedLogins',
    method: constants.get
  },
  'federatedLoginProvider.delete': {
    url: 'helpCenters/:helpCenterId/federatedLogins/:provider',
    method: constants.deleteIt
  },
  'federatedLoginProvider.update': {
    url: 'helpCenters/:helpCenterId/federatedLogins/:provider',
    method: constants.post
  }
};